Package oracle.dbtools.plugin.api.types

## Interface TypeQualifier.Builder<T>

- Type Parameters:
    `T` - The type of the service that the `TypeQualifier` targets
  Enclosing interface:
    TypeQualifier<T>

      public static interface TypeQualifier.Builder<T>

  Build `TypeQualifier` instances
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default TypeQualifier.Builder<T>` | `any​(java.lang.Class<?> service)` |
    `TypeQualifier<T>` | `build()` | Produce a new `TypeQualifier` instance
    `default TypeQualifier.Builder<T>` | `exactType()` | Change the matching mode to `TypeQualifier.MatchingMode.EXACT_TYPE`
    `boolean` | `isEmpty()` | Determine if this Builder has any qualifiers
    `TypeQualifier.Builder<T>` | `matchingMode​(TypeQualifier.MatchingMode matchingMode)` | Configure how the type of the service is matched
    `TypeQualifier.Builder<T>` | `named​(java.lang.String name)` | Add or replace a `Named` qualifier
    `TypeQualifier.Builder<T>` | `provides​(java.lang.Class<T> service)` | Match any type providing the specified service
    `TypeQualifier.Builder<T>` | `qualifiers​(java.lang.annotation.Annotation... qualifiers)` | Deprecated.

- - ### Method Detail

    - #### any

          default TypeQualifier.Builder<T> any​(java.lang.Class<?> service)

    - #### build

          TypeQualifier<T> build()

      Produce a new `TypeQualifier` instance
      Returns:
        `TypeQualifier` instance

    - #### exactType

          default TypeQualifier.Builder<T> exactType()

      Change the matching mode to `TypeQualifier.MatchingMode.EXACT_TYPE`
      Returns:
        self

    - #### isEmpty

          boolean isEmpty()

      Determine if this Builder has any qualifiers
      Returns:
        true if it does not have any qualifiers, false otherwise

    - #### matchingMode

          TypeQualifier.Builder<T> matchingMode​(TypeQualifier.MatchingMode matchingMode)

      Configure how the type of the service is matched
      Parameters:
        `matchingMode` - The matching mode
      Returns:
        self

    - #### named

          TypeQualifier.Builder<T> named​(java.lang.String name)

      Add or replace a `Named` qualifier
      Parameters:
        `name` - The name to match
      Returns:
        self

    - #### provides

          TypeQualifier.Builder<T> provides​(java.lang.Class<T> service)

      Match any type providing the specified service
      Parameters:
        `service` - The service to find implementations for
      Returns:
        self

    - #### qualifiers

          @Deprecated
          TypeQualifier.Builder<T> qualifiers​(java.lang.annotation.Annotation... qualifiers)

      Deprecated.
      Add the specified qualifiers
      Parameters:
        `qualifiers` - The `Qualifier`s to add
      Returns:
        self